Bug 36359 - GUI installer crashed after backtracking thru selections
GUI installer crashed after backtracking thru selections
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 17:06 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-04 15:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda crach dump debug text file (266.10 KB, text/plain)
2001-04-17 17:09 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-04-17 17:06:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.7) Gecko/20010316


Made selections then backtracked via <back> button all the way to the
beginning.  First round thru was to be a 'partitionless' DOS install then
right before install was about to commence I backtracked to the druid setup
and changed to pre-made EXT2+Swap partitons.  Crashed and saved to floppy
when it tried to install.

Reproducible: Didn't try
Steps to Reproduce:
1.GUI custom install with partitionless DOS install selected
2.at the last point before the install takes over, backup until druid disk
setup
3.selected pre-made ext2+swap partitions and continued
	

Actual Results:  It crashed, asked to save a bit of information to floppy
and waited for reboot.
On the subsequent reboot and install without all the backtracking the
install went fine no problems.

Expected Results:  should have performed the install
Comment 1 Need Real Name 2001-04-17 17:09:03 EDT
Created attachment 15584 [details]
anaconda crach dump debug text file
Comment 2 Brent Fox 2001-04-17 18:19:46 EDT
Verified this problem.  Thanks for your report.
Comment 3 Matt Wilson 2001-04-23 14:31:10 EDT
ugh.  I can see the problem here, and I'm totally rewriting this code, so
hopefully this won't happen in the next version.
Comment 4 Brent Fox 2001-05-04 15:00:32 EDT
Fixed with new dispatch code.

Note You need to log in before you can comment on or make changes to this bug.